#
# spec file for package rubygem-cri
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-cri
Version:        2.15.3
Release:        1.1
%define mod_name cri
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby < 3}
BuildRequires:  %{ruby => 2.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://stoneship.org/software/cri/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        a library for building easy-to-use command-line tools
License:        MIT
Group:          Development/Languages/Ruby

%description
Cri allows building easy-to-use command-line interfaces with support for
subcommands.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE NEWS.md README.md" \
  -f

%gem_packages

%changelog
* Sat Mar  2 2019 coolo@suse.com
- updated to version 2.15.3
  see installed NEWS.md
  [#]# 2.15.3
  Fixes:
  * Made `ArgumentList#each` callable without a block, in which case it returns an `Enumerator` (mimicking `Array`) (#87, #88)
* Thu Nov 22 2018 coolo@suse.com
- updated to version 2.15.2
  see installed NEWS.md
  [#]# 2.15.2
  Fixes:
  * Fixed option propagation for two levels or more (#85, #86)
* Wed Sep  5 2018 coolo@suse.com
- updated to version 2.15.1
  see installed NEWS.md
* Sun Dec  3 2017 coolo@suse.com
- updated to version 2.10.1
  see installed NEWS.md
  [#]# 2.10.1
  Fixes:
  * Restored Ruby 2.1 compatibility (for now)
  [#]# 2.10.0
  Features:
  * Added support for skipping option parsing (#62) [Tim Sharpe]
  This release drops support for Ruby 2.1, which is no longer supported.
* Tue Jun  6 2017 coolo@suse.com
- updated to version 2.9.1
  see installed NEWS.md
* Sun Apr  2 2017 coolo@suse.com
- updated to version 2.8.0
  see installed NEWS.md
  2.8.0
  - ----
  Features:
  * Allow passing `hard_exit: false` to `Command#run` to prevent `SystemExit` (#51)
  * Allow specifying the default subcommand (#54)
* Sun Dec  4 2016 coolo@suse.com
- updated to version 2.7.1
  see installed NEWS.md
  2.7.1
  - ----
  Fixes:
  * Fixed some grammatical mistakes
* Thu Apr 30 2015 coolo@suse.com
- updated to version 2.7.0
  see installed NEWS.md
  2.7.0
  - ----
  Features:
  * Added support for hidden options (#43, #44) [Bart Mesuere]
  Enhancements:
  * Added option values to help output (#37, #40, #41)
  * Made option descriptions wrap (#36, #45) [Bart Mesuere]
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 2.6.1
  * Disable ANSI color codes when not supported (#31, #32)
* Sun Apr  6 2014 coolo@suse.com
- updated to version 2.6.0
  * Added support for multi-valued options [Toon Willems]
* Tue Mar 18 2014 coolo@suse.com
- updated to version 2.5.0
  * Made the default help command handle subcommands
  * Added `#raw` method to argument arrays, returning all arguments including `--`
* Sun Dec  1 2013 coolo@suse.com
- updated to version 2.4.1
  * Fixed ordering of option groups on Ruby 1.8.x (#14, #15)
  * Fixed ordering of commands when --verbose is passed (#16, #18)
* Tue Sep  3 2013 coolo@suse.com
- updated to version 2.4.0
* Tue Feb 14 2012 mrueckert@suse.de
- update to 2.1.0
* Wed Dec  7 2011 mrueckert@suse.de
- update to 2.0.2
* Thu Oct  7 2010 prusnak@opensuse.org
- created package
